package es1;

import java.util.ArrayList;

public class ComandoMunicipale {
	private final ArrayList<Personale> persone;
	private final ArrayList<Multa> multe;
	
	public ComandoMunicipale() {
		persone = new ArrayList<>();
		multe = new ArrayList<>();
	}

	public void addPersona(Personale p) {
		
	}
	
	public double getImporto(int i) {
		if (i<0 || i>=persone.size()) return 0.0;
		Personale p = persone.get(i);
		if (p==null) return 0.0;
		double ris=0.0;
		for (Multa m:multe) {
			if (m.getAutore().equals(p)) {
				ris+=m.getImporto();
			}
		}
		return ris;
	}
	
	public Personale getMigliore() {
		Personale ris = null;
		double maxImporto= 0.0;
		for (int i=0; i<persone.size(); i++) {
			double importoCorrente = getImporto(i);
			if (importoCorrente>maxImporto) {
				maxImporto=importoCorrente;
				ris = persone.get(i);
			}
		}
		return ris;
	}
	
	public boolean vigiliVsAusiliari() {
		double totaleVigili=0.0;
		double totaleAusiliari=0.0;
		for (int i=0; i<persone.size(); i++) {
			if ( persone.get(i) instanceof Vigile) {
				totaleVigili += getImporto(i);
			} else {
				totaleAusiliari += getImporto(i);
			}
		}
		return totaleVigili>totaleAusiliari;
	}
	
	
}
