package es2;

public class Cliente {
	private final String name;
	private final String surname;
	
	public Cliente (String name, String surname) {
		this.name=name;
		this.surname=surname;
	}
	
	
	public String getName() {
		return name;
	}

	public String getSurname() {
		return surname;
	}
	
	public boolean equals (Object o) {
		if (o==null) return false;
		if (o instanceof Cliente) {
			Cliente c = (Cliente) o;
			return name.equals(c.name) && surname.equals(c.surname);
		}
		return false;
	}
	
	public String toString() {
		return name + " " + surname;
	}
	
}
