package es4;

import java.util.ArrayList;

public class MultiInsieme {
	private final ArrayList<MultiElemento> set;
	
	public MultiInsieme() {
		set = new ArrayList<>();
	}
	
	public int getRipetizioni (double valore) {
		for (MultiElemento i:set) {
			if (i.getValore()==valore) return i.getRipetizioni();
		}
		return 0;
	}
	
	public void addElemento (double valore, int ripetizioni) {
		for (MultiElemento i:set) {
			if (i.getValore()==valore) {
				i.setRipetizioni(ripetizioni + i.getRipetizioni());
				return;
			}                
		}
		//se arrivo qui significa che NON ho trovato il valore nel MultiInsieme
		//e quindi devo aggiungere un nuovo MultiElemento
		set.add(new MultiElemento (valore, ripetizioni));
	}
	
	public String toString() {
		String ris="[";
		for (int i=0; i<set.size();i++) {
			ris+= set.get(i);
			if (i< set.size()-1) ris+="; ";
		}
		ris += "]";
		return ris;
	}

}
