package es3;

public class IperboleEquilatera extends Funzione {
	//f(n)=(a n + b)/(c n + d)
	private final double a;
	private final double b;
	private final double c;
	private final double d;
	
	public IperboleEquilatera (double a, double b, double c, double d) {
		this.a=a;
		this.b=b;
		this.c=c;
		this.d=d;
	}
	
	@Override
	public double calcola(int n) {
		return (a*n + b)/ (c*n +d);
	}

	public String toString() { //f(n) = (2 * n + 3 )/(5 * n + -4)
		return "f(n) = ("+a +" * n + " + b + ") / ("+ c +  " * n + "+ d+ ")";
	}
}
