package es4;

public class MultiElemento {
	private final double valore;
	private int ripetizioni;
	
	public MultiElemento (double valore, int ripetizioni) {
		if (ripetizioni<1) ripetizioni=1;
		this.ripetizioni=ripetizioni;
		this.valore=valore;		
	}
	
	public MultiElemento (double valore) {
		this(valore, 1);
	}
	
	public double getValore() {
		return valore;
	}
	
	public int getRipetizioni() {
		return ripetizioni;
	}
	
	public void setRipetizioni(int ripetizioni) {
		if (ripetizioni<1) ripetizioni=1;
		this.ripetizioni=ripetizioni;
	}
	
	public String toString() {
		return "elemento " + valore + " occorreze " + ripetizioni;
	}
	
}
